Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.processing.rfc822
Class FullAddress

    java.lang.Object
      things.data.processing.rfc822.FullAddress

    public class FullAddress

extends java.lang.Object

A complete RFC822 address.

Version:
  1.0

  Version History

      EPG - Initial - 12 FEB 05

Author:
  Erich P. Gatejen

Field Summary
`java.lang.String` | `busted` Busted field.
`java.lang.String` | `friendly` The friendly name.
`java.lang.String` | `group` The group name.
`java.lang.String` | `inet` The Internet address.

Constructor Summary
`FullAddress()` Default constructor.
`FullAddress(java.lang.String inet, java.lang.String friendly, java.lang.String group, java.lang.String busted)` Full constructor.

Method Summary
`boolean` | `isFriendlyNullOrEmpty()` Is the friendly name null or empty?
`java.lang.String` | `render()` Render to a string using common 822 notation.
`java.lang.String` | `renderQuoted()` Render to a string using less common notation, where the friendly name is quoted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inet

    public java.lang.String inet

  The Internet address.

### friendly

    public java.lang.String friendly

  The friendly name.

### group

    public java.lang.String group

  The group name. (Usually not used).

### busted

    public java.lang.String busted

  Busted field. Anything the parsers can't handle goes here. Technically, if anything is here, the address is bad.

Constructor Detail

### FullAddress

    public FullAddress()

  Default constructor.

### FullAddress

    public FullAddress(java.lang.String inet,
                       java.lang.String friendly,
                       java.lang.String group,
                       java.lang.String busted)

  Full constructor.

  Parameters:
    `inet` -
    `friendly` -
    `group` -
    `busted` -

Method Detail

### render

    public java.lang.String render()
                            throws java.lang.Throwable

  Render to a string using common 822 notation. It will always render the complete address, if available. TODO need to fix the render to handle escapes.

  Returns:
    the rendering.
  Throws:
    `java.lang.Throwable`

### renderQuoted

    public java.lang.String renderQuoted()
                                  throws java.lang.Throwable

  Render to a string using less common notation, where the friendly name is quoted. (If the friendly is already quoted, it won't do it). TODO need to fix the render to handle escapes. It only checks the first character to see if it is quoted.

  Returns:
    the rendering.
  Throws:
    `java.lang.Throwable`

### isFriendlyNullOrEmpty

    public boolean isFriendlyNullOrEmpty()

  Is the friendly name null or empty?

  Returns:
    true if it is.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.